Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyMemberDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

All Implemented Interfaces:
  Comparable, GroovyDoc, GroovyMemberDoc, GroovyProgramElementDoc

Direct Known Subclasses:
  SimpleGroovyExecutableMemberDoc, SimpleGroovyFieldDoc

    public class SimpleGroovyMemberDoc

extends SimpleGroovyProgramElementDoc
implements GroovyMemberDoc

Constructor Summary
`SimpleGroovyMemberDoc(String name)`
`SimpleGroovyMemberDoc(String name, List links)`

Method Summary
`boolean` | `isSynthetic()`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setPublic, setStatic`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
`commentText, compareTo, firstSentenceCommentText, getDocUrl, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, replaceAllTags, setAsInterfaceDefinition, setRawCommentText, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### SimpleGroovyMemberDoc

    public SimpleGroovyMemberDoc(String name)

### SimpleGroovyMemberDoc

    public SimpleGroovyMemberDoc(String name,
                                 List links)

Method Detail

### isSynthetic

    public boolean isSynthetic()

  Specified by:
    `isSynthetic` in interface `GroovyMemberDoc`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD